Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Record a manual payment on an order

Records a manual payment (cash, bank transfer, external processor, etc.) against an order. Does not go through any payment gateway — the payment is recorded as-is and the order’s paid amount is updated immediately.

POST/orders/{order_id}/payments
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
order_idstringrequired
Request body
requiredapplication/json
amountintegerrequired

Payment amount in cents

authorization_codestring

Reference / receipt number

descriptionstring
transaction_idstring

External transaction identifier

Responses
201

Payment recorded

idinteger
order_idinteger
amountinteger

Amount in cents (negative for refunds)

absolute_amountinteger

Absolute value of amount in cents

successfulboolean
card_token_idinteger
payment_method_typestring
transaction_idstring

Gateway transaction ID

authorization_codestring
descriptionstring
created_atstring<date-time>
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/orders/string/payments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "amount": 5000,
  "description": "Wire transfer ref. XYZ"
}'
Response
{
  "id": 0,
  "order_id": 0,
  "amount": 0,
  "absolute_amount": 0,
  "successful": true,
  "card_token_id": 0,
  "payment_method_type": "string",
  "transaction_id": "string",
  "authorization_code": "string",
  "description": "string",
  "created_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?